Skip to main content
GET
List transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

Opaque cursor returned in next_cursor.

limit
integer
default:50
Required range: 1 <= x <= 200
enrollmentId
string
customerId
string
type
enum<string>
Available options:
STAMP,
REDEEM,
ADJUST
mode
enum<string>
default:live

Filter by ledger mode. Default is live (sandbox rows are hidden). Use test to list only pk_test_…-created rows for sandbox auditing, or all to return both.

Available options:
live,
test,
all
createdAfter
string<date-time>
createdBefore
string<date-time>

Response

200 - application/json

OK

has_more
boolean
required
next_cursor
string | null
required
limit
integer
required
data
object[]
required